Index: /trunk/Makefile
===================================================================
--- /trunk/Makefile	(revision 74)
+++ /trunk/Makefile	(revision 75)
@@ -1,14 +1,13 @@
-CGO = 0
 DESTDIR ?= 
-GOFLAGS ?= -v -ldflags "-w -X `go list`.Version=$(VERSION) -X `go list`.Commit=$(COMMIT)" -mod=vendor -buildmode=exe
+GOFLAGS ?= -v -buildvcs=false -mod=vendor -buildmode=exe
 PREFIX ?= /usr/local
-VERSION ?= `git describe --abbrev=0 --tags || echo "$VERSION"`
-COMMIT ?= `git rev-parse --short HEAD || echo "$COMMIT"`
-
+VERSION ?= `git describe --tags`
 
 build:
-	env CGO_ENABLED=${CGO} go build ${GOFLAGS} ./cmd/aya
+	go build ${GOFLAGS} ./cmd/aya
 clean:
 	rm -f aya
+dist:
+	git archive --format=tar.gz --output=aya-${VERSION}.tar.gz HEAD
 install:
 	install -Dm0755 aya ${DESTDIR}${PREFIX}/bin/aya
Index: /trunk/cmd/aya/main.go
===================================================================
--- /trunk/cmd/aya/main.go	(revision 74)
+++ /trunk/cmd/aya/main.go	(revision 75)
@@ -1,3 +1,3 @@
-// $TheSupernovaDuo: marisa.chaotic.ninja/aya/cmd/aya, v0.6.4 2023-10-23 22:26:23, yakumo_izuru Exp $
+// $TheSupernovaDuo: marisa.chaotic.ninja/aya/cmd/aya, v0.6.6 2023-12-03 23:48:17+0000, yakumo_izuru Exp $
 package main
 
@@ -16,5 +16,5 @@
 	"github.com/russross/blackfriday/v2"
 	"github.com/yosssi/gcss"
-	"gopkg.in/yaml.v2"
+	"gopkg.in/yaml.v3"
 	"marisa.chaotic.ninja/aya"
 )
Index: /trunk/go.mod
===================================================================
--- /trunk/go.mod	(revision 74)
+++ /trunk/go.mod	(revision 75)
@@ -7,4 +7,4 @@
 	github.com/russross/blackfriday/v2 v2.1.0
 	github.com/yosssi/gcss v0.1.0
-	gopkg.in/yaml.v2 v2.4.0
+	gopkg.in/yaml.v3 v3.0.1
 )
Index: /trunk/version.go
===================================================================
--- /trunk/version.go	(revision 74)
+++ /trunk/version.go	(revision 75)
@@ -4,16 +4,18 @@
 import (
 	"fmt"
+	"time"
 )
 
 var (
-	// Version release version
-	Version = "0.0.1"
-
-	// Commit will be overwritten automatically by the build system
-	Commit = "HEAD"
+	// Set to current tag
+	Version = "v0.6.6"
+	Time = time.Now()
 )
 
 // FullVersion display the full version and build
 func FullVersion() string {
-	return fmt.Sprintf("%s@%s", Version, Commit)
+	d := Time.Day()
+	m := Time.Month()
+	y := Time.Year()
+	return fmt.Sprintf("%v || %d.%d.%d", Version, y, m, d)
 }
